Bug 1016438 - ibus-libpinyin does not support input purpose.
ibus-libpinyin does not support input purpose.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peng Wu
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 03:50 EDT by fujiwara
Modified: 2013-10-15 02:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: ibus-libpinyin-1.6.91-5.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-15 02:28:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fujiwara 2013-10-08 03:50:24 EDT
ibus 1.5.4 in f20 or later exports input purpose for gnome-shell password.
Please refer the patch below:
https://github.com/ibus/ibus-anthy/commit/6aae0a9f145f536515e268dd6b25aa740a5edfe7
Comment 1 Peng Wu 2013-10-08 04:00:25 EDT
The input purpose feature requires ibus >= 1.5.4.
Comment 2 Peng Wu 2013-10-10 04:40:52 EDT
Patch for input purpose feature:
https://github.com/epico/ibus-libpinyin/commit/69f50424ba5be49c4b31543df7bd7970361d4753

Please review it, thanks.
Comment 3 Peng Wu 2013-10-10 04:41:49 EDT
Guess I need to use Fedora 20 to test it?
Comment 4 fujiwara 2013-10-11 02:30:09 EDT
OK, I verified your patch.

If you remove ibus-xx-f19-password.patch and build ibus by youself, you can test it with Fedora 19 too:
http://pkgs.fedoraproject.org/cgit/ibus.git/tree/ibus-xx-f19-password.patch
Otherwise you need to use Fedora 20.
Comment 5 Fedora Update System 2013-10-14 01:08:42 EDT
ibus-libpinyin-1.6.91-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-18513/ibus-libpinyin-1.6.91-5.fc20
Comment 6 Fedora Update System 2013-10-15 02:28:01 EDT
ibus-libpinyin-1.6.91-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.